<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".views.TasksActivity">

    <androidx.appcompat.widget.Toolbar
        android:layout_width="match_parent"
        android:layout_height="@dimen/dimen_50dp"
        android:background="@drawable/drawable_maintxtbg">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="left"

            android:orientation="horizontal">

            <ImageView
                android:id="@+id/imgback"
                android:layout_width="@dimen/dimen_50dp"
                android:layout_height="@dimen/dimen_50dp"
                android:layout_gravity="right"
                android:layout_alignParentLeft="true"
                android:padding="@dimen/dimen_10dp"
                android:visibility="visible"
                app:srcCompat="@drawable/ic_arrow_back_"
                />



            <TextView

                android:id="@+id/txtHead"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:gravity="center"
                android:text="Write my diary"
                android:textColor="@android:color/white"
                android:textSize="@dimen/dimen_18sp"

                android:layout_alignParentLeft="true"
                android:layout_marginLeft="@dimen/dimen_50dp"
                android:layout_centerVertical="true"



                />







        </RelativeLayout>


    </androidx.appcompat.widget.Toolbar>

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/dimen_10dp"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dimen_4dp"
            android:layout_marginRight="@dimen/dimen_4dp"
            android:layout_marginTop="@dimen/dimen_10dp"
            android:background="@drawable/drawable_squarebg">
            <Spinner
                android:id="@+id/spLanguage"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_50dp"
                android:ems="10"

                android:padding="@dimen/dimen_10dp"
                android:entries="@array/languages"



                />

        </LinearLayout>

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dimen_4dp"
            android:layout_marginRight="@dimen/dimen_4dp"
            android:layout_marginTop="@dimen/dimen_10dp"
            android:background="@drawable/drawable_squarebg">

            <TextView
                android:id="@+id/txtdatepick"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="@dimen/dimen_15dp"
                android:textSize="@dimen/dimen_15sp"

                android:text="Select date"/>

            <ImageView
                android:id="@+id/imgDatepick"
                android:layout_width="@dimen/dimen_30dp"
                android:layout_height="@dimen/dimen_30dp"
                android:layout_centerVertical="true"

                android:layout_marginRight="@dimen/dimen_30dp"
                android:layout_alignParentRight="true"
                app:srcCompat="@drawable/ic_date_range_"/>


        </RelativeLayout>


        <EditText
            android:id="@+id/edtSubject"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_50dp"
            android:ems="10"
            android:layout_marginLeft="@dimen/dimen_4dp"
            android:layout_marginRight="@dimen/dimen_4dp"
            android:layout_marginTop="@dimen/dimen_10dp"
            android:hint="Subject"
            android:visibility="gone"
            android:textSize="@dimen/dimen_15sp"

            android:inputType="textCapWords|textMultiLine"
            android:padding="@dimen/dimen_10dp"
            android:background="@drawable/drawable_squarebg"
            />


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dimen_4dp"
            android:layout_marginRight="@dimen/dimen_4dp"
            android:layout_marginTop="@dimen/dimen_10dp"
            android:orientation="horizontal">


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/dimen_50dp"

                android:layout_weight="0.2"
                android:background="@drawable/drawable_squarebg">
                <Spinner
                    android:id="@+id/spinnerSubject"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"

                    />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_gravity="center"
                android:gravity="center"
                android:layout_weight="0.8">

                <com.google.android.material.floatingactionbutton.FloatingActionButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/fabadd"
                    app:fabCustomSize="@dimen/dime_40dp"
                    app:srcCompat="@drawable/ic_add_"/>


            </LinearLayout>


        </LinearLayout>





        <EditText
            android:id="@+id/edtdiarycontent"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dimen_200dp"
            android:ems="10"
            android:layout_marginLeft="@dimen/dimen_4dp"
            android:layout_marginRight="@dimen/dimen_4dp"
            android:layout_marginTop="@dimen/dimen_10dp"
            android:gravity="top"

            android:hint="data"
            android:minLines="7"
            android:lines="10"
            android:textSize="@dimen/dimen_15sp"

            android:inputType="textCapWords|textMultiLine"
            android:padding="@dimen/dimen_10dp"
            android:background="@drawable/drawable_squarebg"
            />








        <Button
            android:id="@+id/btnAdd"
            android:layout_width="@dimen/dimen_120dp"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dimen_10dp"
            android:text="Save"
            android:textAllCaps="false"
            android:layout_gravity="center"
            android:background="@drawable/drawable_btnbg"
            android:textColor="@color/white"
                    android:textSize="@dimen/dimen_15sp" />









<!--        <TextView-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:textSize="@dimen/dimen_15sp"-->
<!--           -->

<!--            android:padding="@dimen/dimen_4dp"-->

<!--            android:textColor="@android:color/black"-->
<!--            android:text="Visit/Login"-->
<!--            android:layout_margin="@dimen/dimen_4dp"-->
<!--            android:gravity="center" />-->


<!--        <TextView-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:textSize="@dimen/dimen_15sp"-->
<!--           -->

<!--            android:autoLink="web"-->

<!--            android:textColor="@android:color/black"-->
<!--            android:text="@string/visitsite"-->
<!--            android:layout_margin="@dimen/dimen_4dp"-->
<!--            android:gravity="center" />-->


    </LinearLayout>
    </ScrollView>

</LinearLayout>